Package org.pushingpixels.substance.internal.inputmaps

# Class BaseInputMapSet.ComboActions

java.lang.Object
org.pushingpixels.substance.internal.inputmaps.BaseInputMapSet.ComboActions

Enclosing class:
  `BaseInputMapSet`

protected static class BaseInputMapSet.ComboActions extends Object
Taken from BasicComboBoxUI.Actions

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DOWN`
`static final String`
`DOWN_2`
`static final String`
`END`
`static final String`
`ENTER`
`static final String`
`HIDE`
`static final String`
`HOME`
`static final String`
`PAGE_DOWN`
`static final String`
`PAGE_UP`
`static final String`
`TOGGLE`
`static final String`
`TOGGLE_2`
`static final String`
`UP`
`static final String`
`UP_2`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ComboActions()`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### HIDE

public static final String HIDE

See Also:
  - Constant Field Values

### DOWN

public static final String DOWN

See Also:
  - Constant Field Values

### DOWN_2

public static final String DOWN_2

See Also:
  - Constant Field Values

### TOGGLE

public static final String TOGGLE

See Also:
  - Constant Field Values

### TOGGLE_2

public static final String TOGGLE_2

See Also:
  - Constant Field Values

### UP

public static final String UP

See Also:
  - Constant Field Values

### UP_2

public static final String UP_2

See Also:
  - Constant Field Values

### ENTER

public static final String ENTER

See Also:
  - Constant Field Values

### PAGE_DOWN

public static final String PAGE_DOWN

See Also:
  - Constant Field Values

### PAGE_UP

public static final String PAGE_UP

See Also:
  - Constant Field Values

### HOME

public static final String HOME

See Also:
  - Constant Field Values

### END

public static final String END

See Also:
  - Constant Field Values

## Constructor Details

### ComboActions

protected ComboActions()